#!/bin/bash -e

set -x
# Define script variables
diagonalsPath="/esarchive/scratch/Earth/jvegas/diagonals"
execFile=${diagonalsPath}/diagonals/examples/examples-oceanheatcontent.py
appClasspath=${diagonalsPath}
appPythonpath=${diagonalsPath}

nodes=1
walltime=60

enqueue_compss \
--num_nodes=$nodes \
--exec_time=$walltime \
--gpus_per_node=4 \
--classpath=$appClasspath \
--pythonpath=$appPythonpath \
--log_level=info \
--qos=bsc_es \
--job_name=ohc_compss \
--summary \
-g \
-m \
$execFile $@

###########################
# Usage example:
#
# ./launch.sh 2 20 \
#             /gpfs/projects/bsc19/COMPSs_DATASETS/oceanheatcontent/all/ \
#             /gpfs/projects/bsc32/cs_collaboration/numba_ohc/dataset/mesh_mask_nemo.Ec3.2_O1L75.nc \
#             /gpfs/projects/bsc32/cs_collaboration/numba_ohc/dataset/mask.regions.Ec3.2_O1L75.nc \
#             /gpfs/projects/bsc32/cs_collaboration/numba_ohc/results/
###########################
